org.jboss.jca.core.workmanager

## Class WorkObjectInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.jboss.jca.core.workmanager.WorkObjectInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants, java.lang.AutoCloseable

      public class WorkObjectInputStream
      extends java.io.ObjectInputStream

  Work object input stream
  Author:
    Jesper Pedersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.io.ObjectInputStream

      `java.io.ObjectInputStream.GetField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkObjectInputStream(java.io.InputStream is)` Constructor
    `WorkObjectInputStream(java.io.InputStream is, WorkClassLoader wcl)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `resolveClass(java.io.ObjectStreamClass desc)`
    `void` | `setWorkClassLoader(WorkClassLoader v)` Set the work class loader

    - ### Methods inherited from class java.io.ObjectInputStream

      `available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, resolveProxyClass, skipBytes`

    - ### Methods inherited from class java.io.InputStream

      `mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectInput

      `read, skip`

- - ### Constructor Detail

    - #### WorkObjectInputStream

          public WorkObjectInputStream(java.io.InputStream is)
                                throws java.io.StreamCorruptedException,
                                       java.io.IOException

      Constructor
      Parameters:
        `is` - The input stream
      Throws:
        `java.io.StreamCorruptedException` - - if the stream header is incorrect
        `java.io.IOException` - - if an I/O error occurs while reading stream header

    - #### WorkObjectInputStream

          public WorkObjectInputStream(java.io.InputStream is,
                                       WorkClassLoader wcl)
                                throws java.io.StreamCorruptedException,
                                       java.io.IOException

      Constructor
      Parameters:
        `is` - The input stream
        `wcl` - The work class loader
      Throws:
        `java.io.StreamCorruptedException` - - if the stream header is incorrect
        `java.io.IOException` - - if an I/O error occurs while reading stream header

  - ### Method Detail

    - #### setWorkClassLoader

          public void setWorkClassLoader(WorkClassLoader v)

      Set the work class loader
      Parameters:
        `v` - The value

    - #### resolveClass

          public java.lang.Class resolveClass(java.io.ObjectStreamClass desc)
                                       throws java.io.IOException,
                                              java.lang.ClassNotFoundException

      Overrides:
        `resolveClass` in class `java.io.ObjectInputStream`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)